2020-10-23 13:09 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002505CastleMaster2[WHDLoad Installs Games] slavepublic2017-03-05 16:54
ReporterHarry 
Assigned ToHarryProject InfoCastle Master 2 - The Crypt (Incentive/Domark)
http://www.whdload.de/games/CastleMaster2.html
 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0002505: Disk invalidated when saving on faster machine
DescriptionWhen saving the position with a high speed machine, the disk image is invalidated after saving and the game refuses to start at next try. There is no Disk-Validator on disk, so it is not easy to validate the image again. Probably some dbf-delay problem.
Steps To ReproduceI used E-UAE to reproduce with speed ~830 cycles per instruction. Start game, save a position, wait until music reappears, quit to WB, start again.
TagsNo tags attached.
MachineUAE
CPU68020
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem16 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad17.0
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0005479

Harry (developer)

Fixed with slave 1.1, timing is now scanline-based
+Notes

-Issue History
Date Modified Username Field Change
2011-10-07 21:43 Harry New Issue
2011-12-04 21:57 StingRay Assigned To => GalahadFLT
2011-12-04 21:57 StingRay Status new => assigned
2017-02-22 00:54 Harry Note Added: 0005479
2017-02-22 00:54 Harry Status assigned => resolved
2017-02-22 00:54 Harry Resolution open => fixed
2017-03-05 16:54 Wepl Assigned To GalahadFLT => Harry
+Issue History